micro_utils.dokka
0.15.1

# StandardVersionsRepoProxy

interface StandardVersionsRepoProxy<T> : Repo

## Functions

getTableVersion
Link copied to clipboard
abstract suspend fun getTableVersion(tableName: String): Int?
updateTableVersion
Link copied to clipboard
abstract suspend fun updateTableVersion(tableName: String, version: Int)

## Properties

database
Link copied to clipboard
abstract val database: T

## Inheritors

AndroidSQLStandardVersionsRepoProxy
Link copied to clipboard
KeyValueBasedVersionsRepoProxy
Link copied to clipboard
ExposedStandardVersionsRepoProxy
Link copied to clipboard